Error installing prosites plug in on rackspace cloude sites.

hi,

I used Rackspapce Cloude Sites to install WordPress via their create site script. When I installed Pro Sites plugin it gave an fatal error and pointed to line 194 which is

if ( !defined('DO_NOT_UPGRADE_GLOBAL_TABLES') ) {
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($table1);
dbDelta($table2);
dbDelta($table3);

I guess the error is caused because Rackspace does not include upgrade.php in the default installation.

Should I get WordPress default installation and upload the copy of upgrade.php file via ftp?

-hemang